# cSequentialScheduler Class Reference
[Internal classes]

`#include <cscheduler.h>`

Inheritance diagram for cSequentialScheduler:

List of all members.

## Detailed Description

Event scheduler for sequential simulation.

## Public Member Functions

| cSequentialScheduler ()
virtual void | startRun ()
virtual void | endRun ()
virtual cMessage * | getNextEvent ()

## Constructor & Destructor Documentation

cSequentialScheduler::cSequentialScheduler | ( |  | ) | `[inline]`

| Constructor.

## Member Function Documentation

virtual void cSequentialScheduler::endRun | ( |  | ) | `[inline, virtual]`

| Called at the end of a simulation run. Implements cScheduler.

virtual cMessage* cSequentialScheduler::getNextEvent | ( |  | ) | `[virtual]`

| Returns the first event in the Future Event Set (that is, msgQueue.peekFirst()). Implements cScheduler.

virtual void cSequentialScheduler::startRun | ( |  | ) | `[inline, virtual]`

| Called at the beginning of a simulation run. Implements cScheduler.

The documentation for this class was generated from the following file:

- cscheduler.h